ランタイム: Mix::Scene::IDefaultMaterial Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IDefaultMaterial Class Referenceabstract

デフォルトマテリアルインターフェース More...

`#include <IDefaultMaterial.h>`

Inheritance diagram for Mix::Scene::IDefaultMaterial:
[legend]
Collaboration diagram for Mix::Scene::IDefaultMaterial:
[legend]

## Public Types

enum | SHADER_TYPE { SHADER_NORMAL = 0, SHADER_WATER = 1, SHADER_SHADELESS = 2 }
| シェーダータイプ列挙定数 More...
enum | DIFFUSE_TYPE { DIFFUSE_LAMBERT = 0, DIFFUSE_HALF_LAMBERT = 1 }
| ディフューズタイプ列挙定数 More...
enum | SPECULAR_TYPE { SPECULAR_NONE = 0, SPECULAR_PHONG = 1, SPECULAR_BLINN_PHONG = 2, SPECULAR_COOKTORRANCE = 3 }
| スペキュラータイプ列挙定数 More...
enum | REFLECT_TYPE { REFLECT_NONE = 0, REFLECT_NORMAL = 1, REFLECT_FRESNEL = 2 }
| 反射タイプ列挙定数 More...
enum | BUMP_TYPE { BUMP_NORMAL = 0, BUMP_PARALLAX = 1 }
| ンプタイプ列挙定数 More...
enum | WAVE_TYPE { WAVE_NORMAL = 0, WAVE_REFRACT = 1 }
| ウェーブタイプ列挙定数 More...
enum | WAVE_DIR { WAVE_NEGATIVE_U = 0, WAVE_POSITIVE_U = 1, WAVE_NEGATIVE_V = 2, WAVE_POSITIVE_V = 3 }
| ウェーブ方向列挙定数 More...
Public Types inherited from Mix::Scene::IMaterial
enum | TYPE { DEFAULT = 0 }
| タイプ列挙定数 More...
enum | TRANSFORM_TYPE { TR_SIMPLE = 0, TR_SKINNING = 1, TR_MAX = 2 }
| トランスフォームタイプ列挙定数 More...
enum | TRANSPARENCY_METHOD { TM_LUMP = 0, TM_INDIVIDUAL = 1 }
| 半透明メソッド列挙定数 More...

## Public Member Functions

virtual const wchar_t * | GetName (void) const =0
| 名前を取得します More...
virtual Mix::Scene::IDefaultMaterial::SHADER_TYPE | GetShaderType (void) const =0
| シェーダータイプを取得します More...
virtual Mix::Graphics::BLEND_TYPE | GetBlendType (void) const =0
| ブレンドタイプを取得します More...
virtual void | SetBlendType (Mix::Graphics::BLEND_TYPE type)=0
| ブレンドタイプを設定します More...
virtual Mix::Graphics::CULL_TYPE | GetCullingType (void) const =0
| カリングタイプを取得します More...
virtual void | SetCullingType (Mix::Graphics::CULL_TYPE type)=0
| カリングタイプを設定します More...
virtual Boolean | IsZWrite (void) const =0
| 深度を書き込むかどうかを確認します More...
virtual void | SetZWrite (Boolean state)=0
| 深度を書き込むかどうかを確認します More...
virtual Mix::Graphics::TEXTURE_FILTER_TYPE | GetTextureFilterType (void) const =0
| テクスチャフィルターを取得します More...
virtual void | SetTextureFilterType (Mix::Graphics::TEXTURE_FILTER_TYPE filter)=0
| テクスチャフィルターを設定します More...
virtual Mix::Graphics::TEXTURE_ADDRESS_TYPE | GetTextureAddressType (void) const =0
| テクスチャ座標の解決方法を取得します More...
virtual void | SetTextureAddressType (Mix::Graphics::TEXTURE_ADDRESS_TYPE address)=0
| テクスチャ座標の解決方法を設定します More...
virtual Boolean | IsBothFacesLighting (void) const =0
| 両面ライティングかどうかを確認します More...
virtual Boolean | IsReceiveShadow (void) const =0
| 自身に影を落とすかどうかを確認します More...
virtual Boolean | IsCastShadow (void) const =0
| 他者に影を落とすかどうかを確認します More...
virtual const Mix::Vector4 & | GetAmbientColor (void) const =0
| アンビエントカラーを取得します More...
virtual void | SetAmbientColor (const Mix::Vector4 &color)=0
| アンビエントカラーを設定します More...
virtual Mix::Scene::IDefaultMaterial::DIFFUSE_TYPE | GetDiffuseType (void) const =0
| ディフューズタイプを取得します More...
virtual const Mix::Vector4 & | GetDiffuseColor (void) const =0
| ディフューズカラーを取得します More...
virtual void | SetDiffuseColor (const Mix::Vector4 &color)=0
| ディフューズカラーを設定します More...
virtual Boolean | GetDiffuseTexture (Mix::Graphics::ITexture **ppTexture)=0
| ディフューズテクスチャを取得します More...
virtual Boolean | SetDiffuseTexture (Mix::Graphics::ITexture *pTexture)=0
| ディフューズテクスチャを設定します More...
virtual Boolean | IsDiffuseFresnel (void) const =0
| ディフューズにフレネル効果かあるかどうかを取得します More...
virtual Float32 | GetDiffuseFresnelIntensity (void) const =0
| ディフューズのフレネル効果の強度を取得します More...
virtual void | SetDiffuseFresnelIntensity (Float32 intensity)=0
| ディフューズのフレネル効果の強度を設定します More...
virtual Boolean | IsDiffuseRL (void) const =0
| ディフューズのリムライティングが有効かどうかを取得します More...
virtual Float32 | GetDiffuseRLHardness (void) const =0
| ディフューズのリムライティングの鋭さを取得します More...
virtual void | SetDiffuseRLHardness (Float32 hardness)=0
| ディフューズのリムライティングの鋭さを設定します More...
virtual Float32 | GetDiffuseRLScale (void) const =0
| ディフューズのリムライティングのスケールを取得します More...
virtual void | SetDiffuseRLScale (Float32 scale)=0
| ディフューズのリムライティングのスケールを設定します More...
virtual Mix::Scene::IDefaultMaterial::SPECULAR_TYPE | GetSpecularType (void) const =0
| スペキュラーのタイプを取得します More...
virtual const Mix::Vector4 & | GetSpecularColor (void) const =0
| スペキュラーカラーを取得します More...
virtual void | SetSpecularColor (const Mix::Vector4 &color)=0
| スペキュラーカラーを設定します More...
virtual Boolean | GetSpecularTexture (Mix::Graphics::ITexture **ppTexture)=0
| スペキュラーテクスチャを取得します More...
virtual Boolean | SetSpecularTexture (Mix::Graphics::ITexture *pTexture)=0
| スペキュラーテクスチャを設定します More...
virtual Float32 | GetSpecularHardness (void) const =0
| スペキュラーの鋭さを取得します More...
virtual void | SetSpecularHardness (Float32 hardness)=0
| スペキュラーの鋭さを設定します More...
virtual Float32 | GetSpecularScale (void) const =0
| スペキュラーのスケールを取得します More...
virtual void | SetSpecularScale (Float32 scale)=0
| スペキュラーのスケールを設定します More...
virtual Float32 | GetSpecularCTFresnel (void) const =0
| スペキュラー( クックトランス )の反射強度を取得します More...
virtual void | SetSpecularCTFresnel (Float32 fresnel)=0
| スペキュラー( クックトランス )の反射強度を設定します More...
virtual Float32 | GetSpecularCTRoughness (void) const =0
| スペキュラー( クックトランス )の粗さを設定します More...
virtual void | SetSpecularCTRoughness (Float32 roughness)=0
| スペキュラー( クックトランス )の粗さを設定します More...
virtual Mix::Scene::IDefaultMaterial::REFLECT_TYPE | GetReflectType (void) const =0
| 反射タイプを取得します More...
virtual Float32 | GetReflectScale (void) const =0
| 反射のスケールを取得します More...
virtual void | SetReflectScale (Float32 scale)=0
| 反射のスケールを設定します More...
virtual Float32 | GetReflectIntensity (void) const =0
| 反射の強さを取得します More...
virtual void | SetReflectIntensity (Float32 intensity)=0
| 反射の強さを設定します More...
virtual Float32 | GetReflectBias (void) const =0
| 反射のバイアスを取得します More...
virtual void | SetReflectBias (Float32 bias)=0
| 反射のバイアスを設定します More...
virtual Float32 | GetReflectExprosure (void) const =0
| 反射の露光を取得します More...
virtual void | SetReflectExprosure (Float32 exprosure)=0
| 反射の露光を設定します More...
virtual const Mix::Vector4 & | GetEmissiveColor (void) const =0
| エミッシブのカラーを取得します More...
virtual void | SetEmissiveColor (const Mix::Vector4 &color)=0
| エミッシブのカラーを設定します More...
virtual Float32 | GetEmissiveScale (void) const =0
| エミッシブのスケールを取得します More...
virtual void | SetEmissiveScale (Float32 scale)=0
| エミッシブのスケールを設定します More...
virtual Boolean | GetEmissiveTexture (Mix::Graphics::ITexture **ppTexture)=0
| エミッシブテクスチャを取得します More...
virtual Boolean | SetEmissiveTexture (Mix::Graphics::ITexture *pTexture)=0
| エミッシブテクスチャを設定します More...
virtual Boolean | IsBump (void) const =0
| バンプかどうかを確認します More...
virtual Mix::Scene::IDefaultMaterial::BUMP_TYPE | GetBumpType (void) const =0
| バンプの種類を取得します More...
virtual Boolean | GetBumpTexture (Mix::Graphics::ITexture **ppTexture)=0
| バンプテクスチャを取得します More...
virtual Boolean | SetBumpTexture (Mix::Graphics::ITexture *pTexture)=0
| バンプテクスチャを設定します More...
virtual Float32 | GetBumpHeightScale (void) const =0
| バンプのヘイトスケールを取得します More...
virtual void | SetBumpHeightScale (Float32 scale)=0
| バンプのヘイトスケールを設定します More...
virtual Int32 | GetBumpSampleCount (void) const =0
| バンプのサンプル数を取得します More...
virtual void | SetBumpSampleCount (Int32 sampleCount)=0
| バンプのサンプル数を設定します More...
virtual Float32 | GetBumpReflectFactor (void) const =0
| バンプの反射への影響度を取得します More...
virtual void | SetBumpReflectFactor (Float32 factor)=0
| バンプの反射への影響度を設定します More...
virtual Boolean | IsWave (void) const =0
| ウェーブをするかどうかを確認します More...
virtual Mix::Scene::IDefaultMaterial::WAVE_TYPE | GetWaveType (void) const =0
| ウェーブのタイプを取得します More...
virtual Mix::Scene::IDefaultMaterial::WAVE_DIR | GetWaveDir (void) const =0
| ウェーブの方向を取得します More...
virtual void | SetWaveDir (Mix::Scene::IDefaultMaterial::WAVE_DIR dir)=0
| ウェーブの方向を設定します More...
virtual Boolean | IsWaveInvert (void) const =0
| ウェーブのペアの方向を逆転しているかどうかを確認します More...
virtual Float32 | GetWaveVelocity (void) const =0
| ウェーブの速度(毎秒)を取得します More...
virtual void | SetWaveVelocity (Float32 vel)=0
| ウェーブの速度(毎秒)を設定します More...
virtual Float32 | GetWaveUVOffset (void) const =0
| ウェーブのペアのUVオフセットを取得します More...
virtual void | SetWaveUVOffset (Float32 uvOffset)=0
| ウェーブのペアのUVオフセットを設定します More...
virtual Float32 | GetWaveGap (void) const =0
| ウェーブのペアとの相対速度を取得します More...
virtual void | SetWaveGap (Float32 gap)=0
| ウェーブのペアとの相対速度を設定します More...
virtual Float32 | GetWaveRefractiveIndex (void) const =0
| ウェーブの屈折率を取得します More...
virtual void | SetWaveRefractiveIndex (Float32 index)=0
| ウェーブの屈折率を設定します More...
virtual Boolean | IsSoftParticle (void) const =0
| ソフトパーティクルかどうかを確認します More...
virtual Float32 | GetSoftParticleThickness (void) const =0
| ソフトパーティクルの厚みを取得します More...
virtual void | SetSoftParticleThickness (Float32 tickness)=0
| ソフトパーティクルの厚みを設定します More...
Public Member Functions inherited from Mix::Scene::IMaterial
virtual Mix::Scene::IMaterial::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsTransformable (Mix::Scene::IMaterial::TRANSFORM_TYPE type) const =0
| 指定したタイプのトランスフォームを実行できるかどうかを確認します More...
virtual UInt32 | GetVertexStride (Mix::Scene::IMaterial::TRANSFORM_TYPE type) const =0
| １頂点のサイズを取得します More...
virtual UInt32 | GetVertexInputSigunature (Mix::Scene::IMaterial::TRANSFORM_TYPE type) const =0
| 頂点の入力シグネチャを取得します More...
virtual Boolean | NeedsUpdate (void) const =0
| 更新( Update )が必要かどうかを確認します More...
virtual Boolean | IsShadowing (void) const =0
| 影を落とすかどうかを確認します More...
virtual Boolean | IsLighting (void) const =0
| ライティングをするかどうかを確認します More...
virtual Boolean | IsRefractive (void) const =0
| 屈折するかどうかを確認します More...
virtual Boolean | IsTransparency (void) const =0
| 不透明かどうかを確認します More...
virtual Mix::Scene::IMaterial::TRANSPARENCY_METHOD | GetTransparencyMethod (void) const =0
| 不透明メソッドを取得します More...
virtual void | Update (Float32 dt)=0
| 更新される際の呼び出されます More...
virtual void | RenderShadow (Mix::Graphics::IDevice *pDevice, Mix::Scene::IMaterial::TRANSFORM_TYPE trType)=0
| 影の描画設定をします More...
virtual void | RenderMask (Mix::Graphics::IDevice *pDevice, Mix::Scene::IMaterial::TRANSFORM_TYPE trType)=0
| マスクの描画設定をします More...
virtual void | RenderColor (Mix::Graphics::IDevice *pDevice, Mix::Scene::IMaterial::TRANSFORM_TYPE trType)=0
| カラーの描画設定をします More...
virtual Boolean | BeginConstant (void)=0
| 定数の変更を開始します More...
virtual Boolean | EndConstant (void)=0
| 定数の変更を終了します More...
virtual Boolean | Clone (Mix::Scene::IMaterial **ppMaterial)=0
| 自身のクローンを作成します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IDefaultMaterial (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IMaterial
virtual | ~IMaterial (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

デフォルトマテリアルインターフェース

Note
  - BeginConstant EndConstant に対して有効なメソッド
    SetAmbientColor
    SetDiffuseColor
    SetDiffuseFresnelIntensity
    SetDiffuseRLHardness
    SetDiffuseRLScale
    SetSpecularColor
    SetSpecularHardness
    SetSpecularScale
    SetSpecularCTFresnel
    SetSpecularCTRoughness
    SetReflectTint
    SetReflectIntensity
    SetReflectBias
    SetReflectExprosure
    SetReflectScale
    SetEmissiveColor
    SetEmissiveScale
    SetBumpHeightScale
    SetBumpSampleCount
    SetBumpReflectFactor
    SetWaveUVOffset
    SetRefractIntensity
    SetSoftParticleThickness

## Member Enumeration Documentation

enum Mix::Scene::IDefaultMaterial::SHADER_TYPE

シェーダータイプ列挙定数

Enumerator
SHADER_NORMAL | 通常
SHADER_WATER | ウォーター
SHADER_SHADELESS | シェードレス

enum Mix::Scene::IDefaultMaterial::DIFFUSE_TYPE

ディフューズタイプ列挙定数

Enumerator
DIFFUSE_LAMBERT | ランバート
DIFFUSE_HALF_LAMBERT | ハーフランバート

enum Mix::Scene::IDefaultMaterial::SPECULAR_TYPE

スペキュラータイプ列挙定数

Enumerator
SPECULAR_NONE | 無し
SPECULAR_PHONG | フォン
SPECULAR_BLINN_PHONG | ブリンフォン
SPECULAR_COOKTORRANCE | クックトランス

enum Mix::Scene::IDefaultMaterial::REFLECT_TYPE

反射タイプ列挙定数

Enumerator
REFLECT_NONE | 無し
REFLECT_NORMAL | 通常
REFLECT_FRESNEL | フレネル

enum Mix::Scene::IDefaultMaterial::BUMP_TYPE

ンプタイプ列挙定数

Enumerator
BUMP_NORMAL | 法線マッピング
BUMP_PARALLAX | 視差遮断マッピング

enum Mix::Scene::IDefaultMaterial::WAVE_TYPE

ウェーブタイプ列挙定数

Enumerator
WAVE_NORMAL | 通常
WAVE_REFRACT | 屈折効果

enum Mix::Scene::IDefaultMaterial::WAVE_DIR

ウェーブ方向列挙定数

Enumerator
WAVE_NEGATIVE_U | テクスチャ空間の左方向
WAVE_POSITIVE_U | テクスチャ空間の右方向
WAVE_NEGATIVE_V | テクスチャ空間の上方向
WAVE_POSITIVE_V | テクスチャ空間の下方向

## Constructor & Destructor Documentation

virtual Mix::Scene::IDefaultMaterial::~IDefaultMaterial | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const wchar_t* Mix::Scene::IDefaultMaterial::GetName | ( | void |  | ) | const

pure virtual

名前を取得します

Returns
  名前を返します

virtual Mix::Scene::IDefaultMaterial::SHADER_TYPE Mix::Scene::IDefaultMaterial::GetShaderType | ( | void |  | ) | const

pure virtual

シェーダータイプを取得します

Returns
  シェーダータイプを表す Mix::Scene::IDefaultMaterial::SHADER_TYPE 列挙定数を返します

virtual Mix::Graphics::BLEND_TYPE Mix::Scene::IDefaultMaterial::GetBlendType | ( | void |  | ) | const

pure virtual

ブレンドタイプを取得します

Returns
  ブレンドタイプを表す Mix::Graphics::BLEND_TYPE 列挙定数を返します

virtual void Mix::Scene::IDefaultMaterial::SetBlendType | ( | Mix::Graphics::BLEND_TYPE | type | ) |

pure virtual

ブレンドタイプを設定します

Parameters

  [in] | type | ブレンドタイプを表す Mix::Graphics::BLEND_TYPE 列挙定数

virtual Mix::Graphics::CULL_TYPE Mix::Scene::IDefaultMaterial::GetCullingType | ( | void |  | ) | const

pure virtual

カリングタイプを取得します

Returns
  カリングタイプを表す Mix::Graphics::CULL_TYPE 列挙定数を返します

virtual void Mix::Scene::IDefaultMaterial::SetCullingType | ( | Mix::Graphics::CULL_TYPE | type | ) |

pure virtual

カリングタイプを設定します

Parameters

  [in] | type | カリングタイプを表す Mix::Graphics::CULL_TYPE 列挙定数

virtual Boolean Mix::Scene::IDefaultMaterial::IsZWrite | ( | void |  | ) | const

pure virtual

深度を書き込むかどうかを確認します

Returns
  深度を書き込む場合は True を返します

virtual void Mix::Scene::IDefaultMaterial::SetZWrite | ( | Boolean | state | ) |

pure virtual

深度を書き込むかどうかを確認します

Parameters

  [in] | state | 深度を書き込む場合は True

virtual Mix::Graphics::TEXTURE_FILTER_TYPE Mix::Scene::IDefaultMaterial::GetTextureFilterType | ( | void |  | ) | const

pure virtual

テクスチャフィルターを取得します

Returns
  テクスチャフィルターを表す Mix::Graphics::TEXTURE_FILTER 列挙定数を返します

virtual void Mix::Scene::IDefaultMaterial::SetTextureFilterType | ( | Mix::Graphics::TEXTURE_FILTER_TYPE | filter | ) |

pure virtual

テクスチャフィルターを設定します

Parameters

  [in] | filter | テクスチャフィルターを表す Mix::Graphics::TEXTURE_FILTER_TYPE 列挙定数

virtual Mix::Graphics::TEXTURE_ADDRESS_TYPE Mix::Scene::IDefaultMaterial::GetTextureAddressType | ( | void |  | ) | const

pure virtual

テクスチャ座標の解決方法を取得します

Returns
  Mix::Graphics::TEXTURE_ADDRESS テクスチャ座標の解決方法を表す Mix::Graphics::TEXTURE_ADDRESS 列挙定数を返します

virtual void Mix::Scene::IDefaultMaterial::SetTextureAddressType | ( | Mix::Graphics::TEXTURE_ADDRESS_TYPE | address | ) |

pure virtual

テクスチャ座標の解決方法を設定します

Parameters

  [in] | address | テクスチャ座標の解決方法を表す Mix::Graphics::TEXTURE_ADDRESS_TYPE 列挙定数

virtual Boolean Mix::Scene::IDefaultMaterial::IsBothFacesLighting | ( | void |  | ) | const

pure virtual

両面ライティングかどうかを確認します

Returns
  両面ライティングの場合は True を返します

virtual Boolean Mix::Scene::IDefaultMaterial::IsReceiveShadow | ( | void |  | ) | const

pure virtual

自身に影を落とすかどうかを確認します

Returns
  自身に影を落とす場合は True

virtual Boolean Mix::Scene::IDefaultMaterial::IsCastShadow | ( | void |  | ) | const

pure virtual

他者に影を落とすかどうかを確認します

Returns
  他者に影を落とす場合は True

virtual const Mix::Vector4& Mix::Scene::IDefaultMaterial::GetAmbientColor | ( | void |  | ) | const

pure virtual

アンビエントカラーを取得します

Returns
  アンビエントカラーを表す Mix::Vector4 クラスを返します

virtual void Mix::Scene::IDefaultMaterial::SetAmbientColor | ( | const Mix::Vector4 & | color | ) |

pure virtual

アンビエントカラーを設定します

Parameters

  [in] | color | アンビエントカラー( rgb=色 )

virtual Mix::Scene::IDefaultMaterial::DIFFUSE_TYPE Mix::Scene::IDefaultMaterial::GetDiffuseType | ( | void |  | ) | const

pure virtual

ディフューズタイプを取得します

Returns
  ディフューズタイプを表す Mix::Scene::IDefaultMaterial::DIFFUSE_TYPE 列挙定数を返します

virtual const Mix::Vector4& Mix::Scene::IDefaultMaterial::GetDiffuseColor | ( | void |  | ) | const

pure virtual

ディフューズカラーを取得します

Returns
  ディフューズカラーを表す Mix::Vector4 クラスを返します

virtual void Mix::Scene::IDefaultMaterial::SetDiffuseColor | ( | const Mix::Vector4 & | color | ) |

pure virtual

ディフューズカラーを設定します

Parameters

  [in] | color | ディフューズカラー( rgb=色 a=不透明度 )

virtual Boolean Mix::Scene::IDefaultMaterial::GetDiffuseTexture | ( | Mix::Graphics::ITexture ** | ppTexture | ) |

pure virtual

ディフューズテクスチャを取得します

Parameters

  [out] | ppTexture | 取得したディフューズテクスチャを渡す Mix::Graphics::ITexture インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します

virtual Boolean Mix::Scene::IDefaultMaterial::SetDiffuseTexture | ( | Mix::Graphics::ITexture * | pTexture | ) |

pure virtual

ディフューズテクスチャを設定します

Parameters

  [in] | pTexture | 設定するディフューズテクスチャを表す Mix::Graphics::ITexture インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  成功した場合は、ディフューズテクスチャの参照カウンタを +1 します。
  失敗した場合は、シェーダーがディフューズテクスチャに対応していないことが考えられます。

virtual Boolean Mix::Scene::IDefaultMaterial::IsDiffuseFresnel | ( | void |  | ) | const

pure virtual

ディフューズにフレネル効果かあるかどうかを取得します

Returns
  フレネル効果がある場合は True を返します

virtual Float32 Mix::Scene::IDefaultMaterial::GetDiffuseFresnelIntensity | ( | void |  | ) | const

pure virtual

ディフューズのフレネル効果の強度を取得します

Returns
  強度を返します

virtual void Mix::Scene::IDefaultMaterial::SetDiffuseFresnelIntensity | ( | Float32 | intensity | ) |

pure virtual

ディフューズのフレネル効果の強度を設定します

Parameters

  [in] | intensity | 強度( 0.0f〜1.0f )

virtual Boolean Mix::Scene::IDefaultMaterial::IsDiffuseRL | ( | void |  | ) | const

pure virtual

ディフューズのリムライティングが有効かどうかを取得します

Returns
  リムライティングが有効な場合は True を返します

virtual Float32 Mix::Scene::IDefaultMaterial::GetDiffuseRLHardness | ( | void |  | ) | const

pure virtual

ディフューズのリムライティングの鋭さを取得します

Returns
  リムライティングの鋭さを返します

virtual void Mix::Scene::IDefaultMaterial::SetDiffuseRLHardness | ( | Float32 | hardness | ) |

pure virtual

ディフューズのリムライティングの鋭さを設定します

Parameters

  [in] | hardness | 鋭さ( 0.01f以上 )

virtual Float32 Mix::Scene::IDefaultMaterial::GetDiffuseRLScale | ( | void |  | ) | const

pure virtual

ディフューズのリムライティングのスケールを取得します

Returns
  リムライティングのスケールを返します

virtual void Mix::Scene::IDefaultMaterial::SetDiffuseRLScale | ( | Float32 | scale | ) |

pure virtual

ディフューズのリムライティングのスケールを設定します

Parameters

  [in] | scale( | 0.0f以上 )

virtual Mix::Scene::IDefaultMaterial::SPECULAR_TYPE Mix::Scene::IDefaultMaterial::GetSpecularType | ( | void |  | ) | const

pure virtual

スペキュラーのタイプを取得します

Returns
  スペキュラーのタイプを表す Mix::Scene::IStandardMaterial::SPECULAR_TYPE 列挙定数を返します

virtual const Mix::Vector4& Mix::Scene::IDefaultMaterial::GetSpecularColor | ( | void |  | ) | const

pure virtual

スペキュラーカラーを取得します

Returns
  スペキュラーカラーを表す Mix::Vector4 クラスを返します

virtual void Mix::Scene::IDefaultMaterial::SetSpecularColor | ( | const Mix::Vector4 & | color | ) |

pure virtual

スペキュラーカラーを設定します

Parameters

  [in] | color | スペキュラーカラーを表す Mix::Vector4 クラス( rgb=色 a=1.0f )

virtual Boolean Mix::Scene::IDefaultMaterial::GetSpecularTexture | ( | Mix::Graphics::ITexture ** | ppTexture | ) |

pure virtual

スペキュラーテクスチャを取得します

Parameters

  [out] | ppTexture | 取得したスペキュラーテクスチャを渡す Mix::Graphics::ITexture インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します

virtual Boolean Mix::Scene::IDefaultMaterial::SetSpecularTexture | ( | Mix::Graphics::ITexture * | pTexture | ) |

pure virtual

スペキュラーテクスチャを設定します

Parameters

  [in] | pTexture | 設定するスペキュラーテクスチャを表す Mix::Graphics::ITexture インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  成功した場合は、スペキュラーテクスチャの参照カウンタを +1 します。
  失敗した場合は、シェーダーがスペキュラーテクスチャに対応していないことが考えられます。

virtual Float32 Mix::Scene::IDefaultMaterial::GetSpecularHardness | ( | void |  | ) | const

pure virtual

スペキュラーの鋭さを取得します

Returns
  鋭さを返します

virtual void Mix::Scene::IDefaultMaterial::SetSpecularHardness | ( | Float32 | hardness | ) |

pure virtual

スペキュラーの鋭さを設定します

Parameters

  [in] | hardness | 鋭さ( 0.01f以上 )

virtual Float32 Mix::Scene::IDefaultMaterial::GetSpecularScale | ( | void |  | ) | const

pure virtual

スペキュラーのスケールを取得します

Returns
  スケールを返します

virtual void Mix::Scene::IDefaultMaterial::SetSpecularScale | ( | Float32 | scale | ) |

pure virtual

スペキュラーのスケールを設定します

Parameters

  [in] | scale | スケール( 0.0f〜1.0f )

virtual Float32 Mix::Scene::IDefaultMaterial::GetSpecularCTFresnel | ( | void |  | ) | const

pure virtual

スペキュラー( クックトランス )の反射強度を取得します

Returns
  反射強度を返します

virtual void Mix::Scene::IDefaultMaterial::SetSpecularCTFresnel | ( | Float32 | fresnel | ) |

pure virtual

スペキュラー( クックトランス )の反射強度を設定します

Parameters

  [in] | fresnel | 反射強度( 0.01f以上 )

virtual Float32 Mix::Scene::IDefaultMaterial::GetSpecularCTRoughness | ( | void |  | ) | const

pure virtual

スペキュラー( クックトランス )の粗さを設定します

Returns
  粗さを返します

virtual void Mix::Scene::IDefaultMaterial::SetSpecularCTRoughness | ( | Float32 | roughness | ) |

pure virtual

スペキュラー( クックトランス )の粗さを設定します

Parameters

  [in] | roughness | 粗さ( 0.0f〜1.0f )

virtual Mix::Scene::IDefaultMaterial::REFLECT_TYPE Mix::Scene::IDefaultMaterial::GetReflectType | ( | void |  | ) | const

pure virtual

反射タイプを取得します

Returns
  反射タイプを表す Mix::Scene::IStandardMaterial::REFLECT_TYPE 列挙定数を返します

virtual Float32 Mix::Scene::IDefaultMaterial::GetReflectScale | ( | void |  | ) | const

pure virtual

反射のスケールを取得します

Returns
  スケールを返します

virtual void Mix::Scene::IDefaultMaterial::SetReflectScale | ( | Float32 | scale | ) |

pure virtual

反射のスケールを設定します

Parameters

  [in] | scale | スケール( 0.0f以上 )

virtual Float32 Mix::Scene::IDefaultMaterial::GetReflectIntensity | ( | void |  | ) | const

pure virtual

反射の強さを取得します

Returns
  反射の強さを返します

virtual void Mix::Scene::IDefaultMaterial::SetReflectIntensity | ( | Float32 | intensity | ) |

pure virtual

反射の強さを設定します

Parameters

  [in] | intensity | 反射の強さ( 0.0f〜1.0f )

virtual Float32 Mix::Scene::IDefaultMaterial::GetReflectBias | ( | void |  | ) | const

pure virtual

反射のバイアスを取得します

Returns
  反射のバイアスを返します

virtual void Mix::Scene::IDefaultMaterial::SetReflectBias | ( | Float32 | bias | ) |

pure virtual

反射のバイアスを設定します

Parameters

  [in] | bias | 反射のバイアス( 0.0f〜1.0f )

virtual Float32 Mix::Scene::IDefaultMaterial::GetReflectExprosure | ( | void |  | ) | const

pure virtual

反射の露光を取得します

Returns
  反射の露光を返します

virtual void Mix::Scene::IDefaultMaterial::SetReflectExprosure | ( | Float32 | exprosure | ) |

pure virtual

反射の露光を設定します

Parameters

  [in] | exprosure | 反射の露光( 0.0f〜1.0f )

virtual const Mix::Vector4& Mix::Scene::IDefaultMaterial::GetEmissiveColor | ( | void |  | ) | const

pure virtual

エミッシブのカラーを取得します

Returns
  カラーを表す Mix::Vector4 クラスを返します

virtual void Mix::Scene::IDefaultMaterial::SetEmissiveColor | ( | const Mix::Vector4 & | color | ) |

pure virtual

エミッシブのカラーを設定します

Parameters

  [in] | color | カラーを表す Mix::Vector4 クラス( rgb=色 a=スケール )

virtual Float32 Mix::Scene::IDefaultMaterial::GetEmissiveScale | ( | void |  | ) | const

pure virtual

エミッシブのスケールを取得します

Returns
  スケールを返します

virtual void Mix::Scene::IDefaultMaterial::SetEmissiveScale | ( | Float32 | scale | ) |

pure virtual

エミッシブのスケールを設定します

Parameters

  [in] | scale | スケール

virtual Boolean Mix::Scene::IDefaultMaterial::GetEmissiveTexture | ( | Mix::Graphics::ITexture ** | ppTexture | ) |

pure virtual

エミッシブテクスチャを取得します

Parameters

  [out] | ppTexture | 取得したエミッシブテクスチャを渡す Mix::Graphics::ITexture インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します

virtual Boolean Mix::Scene::IDefaultMaterial::SetEmissiveTexture | ( | Mix::Graphics::ITexture * | pTexture | ) |

pure virtual

エミッシブテクスチャを設定します

Parameters

  [in] | pTexture | 設定するエミッシブテクスチャを表す Mix::Graphics::ITexture インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  成功した場合は、エミッシブテクスチャの参照カウンタを +1 します。
  失敗した場合は、シェーダーがエミッシブテクスチャに対応していないことが考えられます。

virtual Boolean Mix::Scene::IDefaultMaterial::IsBump | ( | void |  | ) | const

pure virtual

バンプかどうかを確認します

Returns
  バンプが有効な場合は True を返します

virtual Mix::Scene::IDefaultMaterial::BUMP_TYPE Mix::Scene::IDefaultMaterial::GetBumpType | ( | void |  | ) | const

pure virtual

バンプの種類を取得します

Returns
  バンプの種類を表す Mix::Scene::IStandardMaterial::BUMP_TYPE 列挙定数を返します

virtual Boolean Mix::Scene::IDefaultMaterial::GetBumpTexture | ( | Mix::Graphics::ITexture ** | ppTexture | ) |

pure virtual

バンプテクスチャを取得します

Parameters

  [out] | ppTexture | 取得したバンプテクスチャを渡す Mix::Graphics::ITexture インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します

virtual Boolean Mix::Scene::IDefaultMaterial::SetBumpTexture | ( | Mix::Graphics::ITexture * | pTexture | ) |

pure virtual

バンプテクスチャを設定します

Parameters

  [in] | pTexture | 設定するバンプテクスチャを表す Mix::Graphics::ITexture インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  成功した場合は、バンプテクスチャの参照カウンタを +1 します。
  失敗した場合は、シェーダーがバンプテクスチャに対応していないことが考えられます。

virtual Float32 Mix::Scene::IDefaultMaterial::GetBumpHeightScale | ( | void |  | ) | const

pure virtual

バンプのヘイトスケールを取得します

Returns
  ヘイトスケールを返します

virtual void Mix::Scene::IDefaultMaterial::SetBumpHeightScale | ( | Float32 | scale | ) |

pure virtual

バンプのヘイトスケールを設定します

Parameters

  [in] | scale | ヘイトスケール( 0.0f〜1.0f )

virtual Int32 Mix::Scene::IDefaultMaterial::GetBumpSampleCount | ( | void |  | ) | const

pure virtual

バンプのサンプル数を取得します

Returns
  サンプル数を返します

virtual void Mix::Scene::IDefaultMaterial::SetBumpSampleCount | ( | Int32 | sampleCount | ) |

pure virtual

バンプのサンプル数を設定します

Parameters

  [in] | sampleCount | サンプル数( 1〜8 )

virtual Float32 Mix::Scene::IDefaultMaterial::GetBumpReflectFactor | ( | void |  | ) | const

pure virtual

バンプの反射への影響度を取得します

Returns
  反射への影響度を返します

virtual void Mix::Scene::IDefaultMaterial::SetBumpReflectFactor | ( | Float32 | factor | ) |

pure virtual

バンプの反射への影響度を設定します

Parameters

  [in] | factor | 反射への影響度( 0.0f〜1.0f )

virtual Boolean Mix::Scene::IDefaultMaterial::IsWave | ( | void |  | ) | const

pure virtual

ウェーブをするかどうかを確認します

Returns
  ウェーブをする場合は True を返します

virtual Mix::Scene::IDefaultMaterial::WAVE_TYPE Mix::Scene::IDefaultMaterial::GetWaveType | ( | void |  | ) | const

pure virtual

ウェーブのタイプを取得します

Returns
  タイプを表す Mix::Scene::IDefaultMaterial::WAVE_TYPE 列挙定数を返します

virtual Mix::Scene::IDefaultMaterial::WAVE_DIR Mix::Scene::IDefaultMaterial::GetWaveDir | ( | void |  | ) | const

pure virtual

ウェーブの方向を取得します

Returns
  方向を表す Mix::Scene::IDefaultMaterial::WAVE_DIR 列挙定数を返します

virtual void Mix::Scene::IDefaultMaterial::SetWaveDir | ( | Mix::Scene::IDefaultMaterial::WAVE_DIR | dir | ) |

pure virtual

ウェーブの方向を設定します

Parameters

  [in] | dir | 方向を表す Mix::Scene::IDefaultMaterial::WAVE_DIR 列挙定数

virtual Boolean Mix::Scene::IDefaultMaterial::IsWaveInvert | ( | void |  | ) | const

pure virtual

ウェーブのペアの方向を逆転しているかどうかを確認します

Returns
  逆転している場合は True を返します

virtual Float32 Mix::Scene::IDefaultMaterial::GetWaveVelocity | ( | void |  | ) | const

pure virtual

ウェーブの速度(毎秒)を取得します

Returns
  速度を返します

virtual void Mix::Scene::IDefaultMaterial::SetWaveVelocity | ( | Float32 | vel | ) |

pure virtual

ウェーブの速度(毎秒)を設定します

Parameters

  [in] | vel | 速度( 0.0f〜1.0f )

virtual Float32 Mix::Scene::IDefaultMaterial::GetWaveUVOffset | ( | void |  | ) | const

pure virtual

ウェーブのペアのUVオフセットを取得します

Returns
  UVオフセットを返します

virtual void Mix::Scene::IDefaultMaterial::SetWaveUVOffset | ( | Float32 | uvOffset | ) |

pure virtual

ウェーブのペアのUVオフセットを設定します

Parameters

  [in] | uvOffset | UVオフセット( 0.0f〜1.0f )

virtual Float32 Mix::Scene::IDefaultMaterial::GetWaveGap | ( | void |  | ) | const

pure virtual

ウェーブのペアとの相対速度を取得します

Returns
  ずれを返します

virtual void Mix::Scene::IDefaultMaterial::SetWaveGap | ( | Float32 | gap | ) |

pure virtual

ウェーブのペアとの相対速度を設定します

Parameters

  [in] | gap | ずれ( 0 以上 )

virtual Float32 Mix::Scene::IDefaultMaterial::GetWaveRefractiveIndex | ( | void |  | ) | const

pure virtual

ウェーブの屈折率を取得します

Returns
  屈折強度を返します

virtual void Mix::Scene::IDefaultMaterial::SetWaveRefractiveIndex | ( | Float32 | index | ) |

pure virtual

ウェーブの屈折率を設定します

Parameters

  [in] | index | 屈折率( 0.0f〜1.0f )

virtual Boolean Mix::Scene::IDefaultMaterial::IsSoftParticle | ( | void |  | ) | const

pure virtual

ソフトパーティクルかどうかを確認します

Returns
  ソフトパーティクルの場合は True を返します

virtual Float32 Mix::Scene::IDefaultMaterial::GetSoftParticleThickness | ( | void |  | ) | const

pure virtual

ソフトパーティクルの厚みを取得します

Returns
  ソフトパーティクルの厚みを返します

virtual void Mix::Scene::IDefaultMaterial::SetSoftParticleThickness | ( | Float32 | tickness | ) |

pure virtual

ソフトパーティクルの厚みを設定します

Parameters

  [in] | tickness | ソフトパーティクルの厚み( 0.0f以上 )

The documentation for this class was generated from the following file:

- Mix/Scene/IDefaultMaterial.h